!----------------------------------------------------------------------
!   TYMNET.CCL
!----------------------------------------------------------------------

-LABEL 0                { Label 0 }
Revision 1                      { Set the Revision Level }
DsplyMsg Step 1: Initializing modem ...
CanBtn   19                     { If Cancel button - just exit }
SetTries 0                      { Initialize Tries }
ChrDelay 2                      { Initialize Character Delay }
SerReset ~BAUD 0 8 1            { Set the Baud Rate }
HSReset  0 0 17 19              { Reset }
DsplyPic 1                      { Display Picture 1 }
MdmSetup                        { Send out user's premodem init string }

-LABEL 1                { Label 1 }
Flush                           { Clear the Inbound/Outbound Buffers }
MatchStr 1 2 ~CMDESC            { Look for "+++" }
MatchStr 2 2 ~CMDOK             { Look for "OK" }      

MdmEsc                          { Get the modems attention }
Wait 200                        { Pause for 2 seconds, minimum gap required }
                                { The Wait will then look at the MatchStr(s) }

-Label 2                { Label 2 }     
MatchStr 1 3   ~CMDOK           { Look for "OK" }
MatchStr 2 33  ~CMDERR          { Look for "ERROR" }
                                
MdmDisc                         { Disconnect }
                                { Jump to label #3 if we see 'OK' go by }
Wait 200                        { wait for 'OK' from modem }
Jump 33                         { Exit stage left...time out error on modem }

-LABEL 3                { Label 3 }
DsplyMsg Step 2: Dialing ~PRFX~CLWT~FONE ...

MatchStr 1 43   ~NCTIMEOUT      { ALWAYS look for "TIMEOUT" }
MatchStr 2 42   ~NCCARRIER      { ALWAYS look for "NO CARRIER" }
MatchStr 3  5   ~C300           { Look for "CONNECT 300" }
MatchStr 4  6   ~C1200          { Look for "CONNECT 1200" }
MatchStr 5  7   ~C2400          { Look for "CONNECT 2400" }
MatchStr 6  8   ~C4800          { Look for "CONNECT 4800" }
MatchStr 7  9   ~C9600          { Look for "CONNECT 9600" }
MatchStr 8  10  ~C14400         { Look for "CONNECT 14400" }
MatchStr 9  10  ~C19200         { Look for "CONNECT 19200" }
MatchStr 10 40  ~NCDIALTONE     { Look for "NO DIALTONE" }
MatchStr 11 27  ~NCANSWER       { Look for "NO ANSWER" }
MatchStr 12 41  ~NCVOICE        { Look for "VOICE" }
MatchStr 13 26  ~NCBUSY         { Look for "BUSY" }
MatchStr 14 33  ~CMDERR         { Look for "ERROR" }

SetTries 0                      { Initialize Tries to 0 }
CanBtn   18                     { If cancel button hit, Jump to Label 18 }
MdmDial ~TONE ~PRFX~CLWT~FONE   { Dial the Number }

Wait 4800                       { Wait for CONNECT msg from modem }
Jump 28                         { Else hang up phone & exit }

-Label 5                { Label 5 }
SerReset 300 0 8 1              { Set the CommPort Attributes }
Jump 11                         { Jump to Label 11 }

-Label 6                { Label 6 }     
SerReset 1200 0 8 1             { Set the CommPort Attributes }
Jump 11                         { Jump to Label 11 }

-Label 7                { Label 7 }
SerReset 2400 0 8 1             { Set the CommPort Attributes }
Jump 11                         { Jump to Label 11 }

-Label 8                { Label 8 }
SerReset 4800 0 8 1             { Set the CommPort Attributes }         
Jump 11                         { Jump to Label 11 }

-Label 9                { Label 9 }
SerReset 9600 0 8 1             { Set the CommPort Attributes }
Jump 11                         { Jump to Label 11 }

-Label 10               { Label 10 }
SerReset 19200 0 8 1            { Set the CommPort Attributes }
Pause 30                        { Pause ... }   
Flush                           { Flush it out }
DsplyPic 2                      { Display Picture 2 }
DsplyMsg Step 3: Connecting at 14400 bps ...
Pause 600                       { Pause ... }
Jump 12                         { Jump to Label 12 } 

-LABEL 11               { Label 11 }
Pause 30                        { Pause ... }   
Flush                           { Flush it out }
DsplyPic 2                      { Display Picture 2 }
DsplyMsg Step 3: Connecting at ~BAUD bps ...
Pause 600                       { Pause ... }

-LABEL 12               { Label 12 }
SetTries 0                      { Initialize Tries to 0 }

-LABEL 13               { Label 13 }
MatchStr 2 44 ~NCCARRIER        { ALWAYS look for "NO CARRIER" }
MatchStr 3 14 LOG IN:           { Look for "LOG IN" }
MatchStr 4 12 IDENTIFIER        { Look for "IDENTIFIER" }
MatchStr 5 28 ABORTED           { Look for "ABORTED" }
MatchStr 6 28 HOST NOT          { Look for "HOST NOT" }
MatchStr 7 16 ERROR             { Look for "ERROR" }
MatchStr 8 28 BAD               { Look for "BAD" }

DsplyMsg Step 4: Requesting network attention ...
Flush                           { Flush it out }
Xmit A                          { Send out A }
Wait 900                        { Wait for Reply from Modem }
IncTries                        { Increment Tries }
IfTries 4 28                    { Have we reached 4 tries ??? }
Jump 13                         { Jump to Label 13 }

-Label 14               { Label 14 }
MatchStr 3 15 +                 { Look for "+" }
MatchStr 4 34 PASSWORD:         { Look for "PASSWORD" }
MatchStr 5 16 ERROR             { Look for "ERROR" }
DsplyMsg Step 5: Talking to network ...
Xmit ~TYM1;~TYM2\13             { Send out String }
Wait 3600                       { Wait searches MatchStr(s) for hits }
Jump 32                         { No hits, jump to Label 32 }

-Label 15               { Label 15 }
MatchStr 3 23 CALL CONNECTED    { Look for "CALL CONNECTED" }
DsplyMsg Step 6: Connecting to America Online ...
Xmit ~TYM3\13                   { Send out String }
Wait 3600                       { Wait searches MatchStr(s) for a hit }
Jump 32                         { No hits, jump to Label 32 }

-Label 16               { Label 16 }
SetTries 0                      { Initialize Tries to 0 }     

-Label 17               { Label 17 }
MatchStr 3 18 PASSWORD:         { Look for "PASSWORD" }
MatchStr 4 32 ERROR             { Look for "ERROR" }
MatchStr 5 17 LOG IN:           { Look for "LOG IN" }
Xmit ~TYM1\13                   { Send out String }
Wait 3600                       { Wait searches MatchStr(s) for a hit }
IncTries                        { Increment Tries }
IfTries 4 32                    { Have we reached 4 tries ??? }
Jump 17                         { Jump to Label 17 }

-Label 18               { Label 18 }
MatchStr 3 15 +                 { Look for "+" }
MatchStr 4 17 LOG IN:           { Look for "LOG IN" }
MatchStr 5 32 ERROR             { Look for "ERROR" }
MatchStr 6 18 PASSWORD:         { Look for "PASSWORD" }
Xmit ~TYM2\13                   { Send out String }
Wait 3600                       { Wait searches MatchStr(s) for a hit }
IncTries                        { Increment Tries }
IfTries 4 32                    { Have we reached 4 tries ??? }
Jump 18                         { Jump to Label 18 }

-Label 23               { Label 23 }
DsplyPic 3                      { Display Picture 3 }
DsplyMsg Checking Password ...  { Display a message }
Exit 0                          { Exit out and return 0 }

-Label 24               { Label 24 }
Hangup                          { Hangup }
Exit -111                       { Exit out and return -111 }

-Label 25               { Label 25 }
Exit -1                         { Exit out and return -1 }

!----------------------------------------------------------------------
!                       Error Messages 
!----------------------------------------------------------------------
                        
-Label 26               { Label 26 }      
Talert The number dialed is busy. Please take the following steps:\13 
Talert 1) Try signing on to America Online again.\13 
Talert 2) From the WELCOME screen, click on SETUP\13     then EDIT LOCATION and record the numbers.\13
Talert 3) Call ~ACUS and report the problem.\13
Talert 4) To obtain an alternate Tymnet access number\13     dial 1-800-937-2862.\13
Jump 51                         

-Label 27               { Label 27 }
Talert The number dialed is not answering. Please take the following steps:\13
Talert 1) Try signing on to America Online again.\13 
Talert 2) From the WELCOME screen, click on SETUP\13     then EDIT LOCATION and record the numbers.\13
Talert 3) Call ~ACUS and report the problem.\13
Talert 4) To obtain an alternate Tymnet access number\13     dial 1-800-937-2862.\13
Jump 51                         

-Label 28               { Label 28 }
Talert The access company failed to respond.\13 \13 1) Please wait a few moments and try to connect to\13     America Online again.\13 
Talert 2) Verify that the correct network is selected by calling\13     Tymnet at 1-800-937-2862.\13
Talert 3) If the problem persists please refer to the help text.\13     From the Welcome screen click on the SETUP \13     button, then the HELP & INFO button.\13 
Jump 51

-Label 32               { Label 32 }
Talert The final connection step to ~APPL did not complete.\13 \13 Please wait a few moments and try again.\13
Talert Prior to modifying any modem or system settings\13please refer to the help text. From the Welcome screen\13click on the SETUP button, then the HELP & INFO button.\13 
Jump 51                            

-Label 33               { Label 33 }
Talert America Online was unable to initialize your modem.\13Please take the following steps:\13 \13 1) Turn your modem off then back on. \13
Talert 2) Click SETUP, then SETUP MODEM to verify your\13     modem selection.\13 \13 3) Try signing on to America Online again.\13
Talert 4) Check modem cable connections.\13
Talert 5) Refer to the help text. From the Welcome screen\13     click on the SETUP button, then the HELP & INFO\13     button.\13 
Jump 51 
                        
-Label 34               { Label 34 }
Talert There is a bad ~APPL file on your disk.\13
Talert 1) If you have a disk with the current version of\13     America Online then refer to the help text\13     under the HELP menu.\13
Talert 2) Using Windows terminal or another\13     telecommunications package, you can connect to the\13     America Online BBS at 1-800-827-8505 and download\13     the most current version of ~APPL.\13
Talert 3) Call ~ACUS and request a copy of the most\13     recent version America Online.\13
Jump 51

-Label 40               { Label 40 }
Talert The modem has reported NO DIAL TONE. Please take the follow steps:\13
Talert 1) Check all phone line connections.\13     The line from the wall must be connected to the\13     connector labeled:\13
Talert \32     "LINE", "TELCO", "WALL" or "JACK".\13 \13     For additional information please refer to your\13     modem manual.\13
Talert 2) Use a telephone to verify that there is a dial tone\13     on the line to the modem.\13
Talert 3) Refer to the help text. From the Welcome screen\13     click on the SETUP button, then the HELP & INFO\13     button.\13
Jump 51

-Label 41               { Label 41 }
Talert The number dialed did not connect to the access\13company. Please take the following steps:\13 
Talert 1) Click on SETUP then EDIT LOCATION to verify\13     if a "9," or "1," is needed.\13     
Talert 2) Verify that the access number is valid by calling\13     Tymnet at 1-800-937-2862. \13
Talert 3) For additional information refer to the help text.\13     From the Welcome screen click on the SETUP button,\13     then the HELP & INFO button.\13 
Jump 51

-Label 42               { Label 42 }
Talert The modem was unable to get a carrier signal.\13Please take the following steps:\13 
Talert 1) Check all phone line and cable connections\13     to the modem.\13
Talert 2) Click on SETUP then EDIT LOCATION to verify\13     if a "9," or "1," is needed.\13     
Talert 3) Verify that the access number is valid by calling\13     Tymnet at 1-800-937-2862. \13
Talert 4) For additional information refer to the help text.\13     From the Welcome screen click on the SETUP button,\13     then the HELP & INFO button.\13 
Talert 5) If the problem persists, call ~APPL at\13     ~ACUS.\13
Jump 51

-Label 43               { Label 43 }
Talert The modem detected a TIMEOUT. Please take the following steps:\13
Talert 1) Your modem may not be working properly.\13     Please try using your modem with another\13     telecommunications package to verify that\13     the modem is working.\13
Talert 2) Verify that the access number is valid by calling\13     Tymnet at 1-800-937-2862. \13
Talert 3) For additional information refer to the help text.\13     From the Welcome screen click on the SETUP button,\13     then the HELP & INFO button.\13 
Jump 51

-Label 44               { Label 44 }
Talert The connection to the access company has been lost.\13
Talert Please wait a few moments and try again.\13
Jump 51                            

-Label 50               { Label 50 }
Alert 52 \13If the problem persists, call ~APPL customer service at ~ACUS.
Exit -1

-Label 51               { Label 51 }
Alert 52 \13
Exit -1

-Label 52               { Label 52 }
Exit -1



!----------------------------------------------------------------------
!                       Hangup Sequence 
!----------------------------------------------------------------------

*-Label 0               { Label 0 }
*CanBtn 2                       { Cancel Button }
*Flush                          { Flush }

*MatchStr 1 1 ~CMDOK            { Look for "OK" }
*MatchStr 2 1 ~NCCARRIER        { Look for "NO CARRIER" }

*MdmEsc                         { Get the Modems Attention }
*Wait 210                       { Look at MatchStr(s) }

*MatchStr 1 1 ~CMDOK            { Look for "OK" }       
*MatchStr 2 2 ~NCCARRIER        { Look for "NO CARRIER" }
*MatchStr 3 1 ~CMDESC           { Look for "ESC" }

*MdmEsc                         { Get the Modems Attention }
*Wait 210                       { Look at MatchStr(s) }

*-Label 1               { Label 1 }
*MatchStr 1 2 ~CMDESC           { Look for "ESC" }
*MatchStr 2 2 ~CMDOK            { Look for "OK" }
*MatchStr 3 2 ~NCCARRIER        { Look for "NO CARRIER" }

*MdmDisc                        { Disconnect } 
*Wait 300                       { Look for a hit in the MatchStr(s) }

*-Label 2               { Label 2 }
*MdmRestore                     { Modem Restore } 
*Exit 0                         { Exit out and return 0 }

###                             { End of File Marker }

